Description

Steps to Reproduce:

1. Create Activation key

1. hammer activation-key create --organization-id=1 --name='ak' --content-view='cv1'

Activation key created

2. Check Activation key info

1. hammer activation-key info --name='ak' --organization-id=1

Name:                  ak

ID:                    6

Description:

Lifecycle Environment:

Content View:          cv1

Host Collections:

3. Try updating Activation key:

Scenario 1:

1. hammer activation-key update --name='ak' --organization-id=1 --new-name='ak123'

Could not update the activation key:

Error: Missing options to search environment

Scenario 2:

1. hammer activation-key update --name='ak' --organization-id=1 --new-name='ak123' --environment=''

Could not update the activation key:

Error: environment found more than once

Actual results:

Activation key update errored

Expected results:

Activation key update works successfully

Additional info:

All hammer activation-key update scenarios are blocked with this same issue. Example:

1. hammer activation-key update --name='ak' --organization-id=1 --environment='DEV' --content-view='cv1'

Could not update the activation key:

Error: environment found more than once

Associated revisions

Revision 064ab68c - 06/17/2014 08:20 PM - dustin tsang
Fixes #6258 - env_id & cv_id optional in ak update

Activation Key update should allow passing of environment_id and

content-view to be optional since creation allows the existence

of Activation Keys without a lifecycle-environment or content-view

asociated.

Revision c5bbf048 - 06/17/2014 08:47 PM - Thomas McKay

Merge pull request #4290 from dustint-rh/ak_put_env_not_required

Fixes #6258 - make env_id optional in ak update

History

#1 - 06/17/2014 07:14 PM - dustin tsang

issue is that update action's apipie documentation requires 'environment_id'.

environment_id should not be required since create allow the creation of content_view without an environment.

Changing the apipie documentation so that environment_id is option should solve Scenario 1.

Scenario 2 not be able to be solved since, that cause would be searching for a environment where name == ''.

#2 - 06/17/2014 08:53 PM - dustin tsang

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:064ab68c5cd5c53298e9d9692e34c05b105d25f3.

#3 - 06/19/2014 01:05 AM - Eric Helms

- Category set to Hammer

- Assignee set to dustin tsang

- Target version set to 48

- Triaged changed from No to Yes

#4 - 08/22/2014 08:35 AM - Eric Helms

- translation missing: en.field_release set to 13
